function [totalMapped,uniqueStarts] = checkLibraryComplexity(lib)

%% load data
data_dir = '../DataMat';
results_dir = '../Results';
verbose(sprintf('working on %s\n',lib),20);
fname = sprintf('%s/%s.mat', data_dir, lib);
load(fname,'SubFread1','SubRread1','DataFread1','DataRread1');
useF1 = SubFread1;
useR1 = SubRread1;
useF2 = DataFread1;
useR2 = DataRread1;
%% unique on F and R
chrNum = length(useF1);
totalMapped(1:2) = 0;
uniqueStarts(1:2) = 0;
for c=1:chrNum
    totalMapped(1) = totalMapped(1) + sum(useF1{c}) + sum(useR1{c});
    uniqueStarts(1) = uniqueStarts(1) + length(find(useF1{c})) + length(find(useR1{c}));
    totalMapped(2) = totalMapped(2) + sum(useF2{c}) + sum(useR2{c});
    uniqueStarts(2) = uniqueStarts(2) + length(find(useF2{c})) + length(find(useR2{c}));
end

%% write output
fid = fopen(sprintf('%s/UniqueStarts_%s.txt', results_dir, lib),'w');
fprintf(fid,'Library\tTotalMapped\tUniqueStarts\n');
fprintf(fid,'%s sub\t%d\t%d\n',lib,totalMapped(1),uniqueStarts(1));
fprintf(fid,'%s full\t%d\t%d\n',lib,totalMapped(2),uniqueStarts(2));
fclose(fid);
