function get_pairs(lib)

% forward strand
[chr start stop cigar1 cigar2] = textread(sprintf('../Raw/%sF', lib), '%d\t%d\t%d\t%s\t%s');
uni_reads = unique([chr start stop], 'rows');

str_align = repmat({''}, length(chr), 1);
for n = 1:length(chr),
  str_align{n} = sprintf('%i %i %i %s %s', chr(n), start(n), stop(n), cigar1{n}, cigar2{n});
end
uni_str = unique(str_align);

uniquePairs(1,1) = length(uni_reads);
uniquePairs(1,2) = length(uni_str);
totalMapped(1) = length(chr);

clear chr start stop cigar1 cigar2
clear str_align uni_reads uni_str

% reverse strand
[chr start stop cigar1 cigar2] = textread(sprintf('../Raw/%sR', lib), '%d\t%d\t%d\t%s\t%s');
uni_reads = unique([chr start stop], 'rows');

str_align = repmat({''}, length(chr), 1);
for n = 1:length(chr),
  str_align{n} = sprintf('%i %i %i %s %s', chr(n), start(n), stop(n), cigar1{n}, cigar2{n});
end
uni_str = unique(str_align);

uniquePairs(2,1) = length(uni_reads);
uniquePairs(2,2) = length(uni_str);
totalMapped(2) = length(chr);

clear chr start stop cigar1 cigar2
clear str_align uni_reads uni_str

results_dir = '../Results';
fid = fopen(sprintf('%s/UniquePairs_%s.txt', results_dir, lib), 'w');
fprintf(fid,'Strand\tTotalMapped\tUniquePairs (start/stop)\tUniquePairs (all)\n');
fprintf(fid,'Forward\t%i\t%d\t%d\n', totalMapped(1), uniquePairs(1,1), uniquePairs(1,2));
fprintf(fid,'Reverse\t%i\t%d\t%d\n', totalMapped(2), uniquePairs(2,1), uniquePairs(2,2));
fprintf(fid,'Both\t%i\t%d\t%d\n', sum(totalMapped), sum(uniquePairs(:,1)), sum(uniquePairs(:,2)));
fclose(fid);






