function prepare_ma_data(exp)

wb_ids1 = textread(sprintf('../Raw/c_elegans.%s_series.gene_expr_RMA_avg.name.txt', exp), '%s');
expr = load(sprintf('../Raw/c_elegans.%s_series.gene_expr_RMA_avg.val.txt', exp));

[wb_ids2 tmp seq_ids] = textread('../Raw/geneIDs.WS200', '%s%s%s', 'delimiter', ',');

gene_ids = repmat({''}, length(wb_ids1), 1);
for g = 1:length(wb_ids1),
  idx = strmatch(wb_ids1{g}, wb_ids2, 'exact');
  if length(idx)==0,
    fprintf('%s not found (%i)\n', wb_ids1{g}, g);
    continue;
  end
  assert(length(idx)==1);
  gene_ids{g} = seq_ids{idx};
end

save(sprintf('../Raw/c_elegans.%s_series.gene_expr_RMA_avg.mat', exp), 'gene_ids', 'expr');