function [] = run_evalStrandSpecLib(lib,parseReads,generateTracks,avgGeneStats)
%% read the raw files
if (parseReads)
    verbose('Reading the input file',10);
    qltoutFile = sprintf('Raw/%s.qltout',lib);
    samFile = sprintf('Raw/%s.sam',lib);
    if exist(qltoutFile,'file')
        raw2Mat_strandSpec(lib);
    elseif exist(samFile,'file')
        sam2Mat_strandSpec(lib);
    else
        error('prog:input','Input file is missing. No %s or %s exist',qltoutFile,samFile);
    end
end
%% generate wig files
if (generateTracks)
    verbose('Generating bedGraph files',10);
    mat2Wig_strandSpec(lib);
end
%% calculate strandness and CV stats
verbose('Calculating statistics on strandness and CV',10);
allStats(lib);

%% Check the library complexity
verbose('Checking the Library''s complexity',10);
checkLibraryComplexity(lib);

%% Compare expression levels
verbose('Comparing expression patterns',10);
compareExpression(lib,0);

%% Find segmented genes
verbose('Finding segmented genes',10);
FindSegmentedGenes(lib);

%% Calculate the average gene plots (this takes a while to run)
if (avgGeneStats)
    verbose('Calculating the average gene plot',10);
    avgGene(lib);
end
